gdcm::BaseQuery Class Referenceabstract

BaseQuery. More...

`#include <gdcmBaseQuery.h>`

Inheritance diagram for gdcm::BaseQuery:
[legend]
Collaboration diagram for gdcm::BaseQuery:
[legend]

## Public Member Functions

| ~BaseQuery () override
void | AddQueryDataSet (const DataSet &ds)
virtual UIDs::TSName | GetAbstractSyntaxUID () const =0
DataSet & | GetQueryDataSet ()
DataSet const & | GetQueryDataSet () const
| Set/Get the internal representation of the query as a DataSet.
std::string | GetSOPInstanceUID () const
void | Print (std::ostream &os) const override
void | SetSearchParameter (const std::string &inKeyword, const std::string &inValue)
void | SetSearchParameter (const Tag &inTag, const std::string &inValue)
void | SetSOPInstanceUID (const std::string &iSopInstanceUID)
virtual bool | ValidateQuery (bool inStrict=true) const =0
const std::ostream & | WriteHelpFile (std::ostream &os)
bool | WriteQuery (const std::string &inFileName)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Protected Member Functions

| BaseQuery ()
void | SetSearchParameter (const Tag &inTag, const DictEntry &inDictEntry, const std::string &inValue)
bool | ValidDataSet (const DataSet &dataSetToValid, const DataSet &dataSetReference) const
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Protected Attributes

DataSet | mDataSet
std::string | mSopInstanceUID

## Friends

class | QueryFactory

## Detailed Description

BaseQuery.

contains: a baseclass which will produce a dataset for all dimse messages

## Constructor & Destructor Documentation

## BaseQuery()

gdcm::BaseQuery::BaseQuery | ( |  | ) |

protected

## ~BaseQuery()

gdcm::BaseQuery::~BaseQuery | ( |  | ) |

override

## Member Function Documentation

## AddQueryDataSet()

void gdcm::BaseQuery::AddQueryDataSet | ( | const DataSet & | ds | ) |

## GetAbstractSyntaxUID()

virtual UIDs::TSName gdcm::BaseQuery::GetAbstractSyntaxUID | ( |  | ) | const

pure virtual

Implemented in gdcm::FindPatientRootQuery, gdcm::FindStudyRootQuery, gdcm::ModalityPerformedProcedureStepCreateQuery, gdcm::ModalityPerformedProcedureStepSetQuery, gdcm::MovePatientRootQuery, gdcm::MoveStudyRootQuery, and gdcm::WLMFindQuery.

## GetQueryDataSet() [1/2]

DataSet & gdcm::BaseQuery::GetQueryDataSet | ( |  | ) |

## GetQueryDataSet() [2/2]

DataSet const & gdcm::BaseQuery::GetQueryDataSet | ( |  | ) | const

Set/Get the internal representation of the query as a DataSet.

## GetSOPInstanceUID()

std::string gdcm::BaseQuery::GetSOPInstanceUID | ( |  | ) | const

inline

References mSopInstanceUID.

## Print()

void gdcm::BaseQuery::Print | ( | std::ostream & | os | ) | const

override virtual

Reimplemented from gdcm::Object.

## SetSearchParameter() [1/3]

void gdcm::BaseQuery::SetSearchParameter | ( | const std::string & | inKeyword,
|  | const std::string & | inValue )

## SetSearchParameter() [2/3]

void gdcm::BaseQuery::SetSearchParameter | ( | const Tag & | inTag,
|  | const DictEntry & | inDictEntry,
|  | const std::string & | inValue )

protected

## SetSearchParameter() [3/3]

void gdcm::BaseQuery::SetSearchParameter | ( | const Tag & | inTag,
|  | const std::string & | inValue )

## SetSOPInstanceUID()

void gdcm::BaseQuery::SetSOPInstanceUID | ( | const std::string & | iSopInstanceUID | ) |

inline

References mSopInstanceUID.

## ValidateQuery()

virtual bool gdcm::BaseQuery::ValidateQuery | ( | bool | inStrict = true | ) | const

pure virtual

Implemented in gdcm::BaseRootQuery, gdcm::FindPatientRootQuery, gdcm::FindStudyRootQuery, gdcm::ModalityPerformedProcedureStepCreateQuery, gdcm::ModalityPerformedProcedureStepSetQuery, gdcm::MovePatientRootQuery, gdcm::MoveStudyRootQuery, and gdcm::WLMFindQuery.

## ValidDataSet()

bool gdcm::BaseQuery::ValidDataSet | ( | const DataSet & | dataSetToValid,
|  | const DataSet & | dataSetReference ) const

protected

## WriteHelpFile()

const std::ostream & gdcm::BaseQuery::WriteHelpFile | ( | std::ostream & | os | ) |

## WriteQuery()

bool gdcm::BaseQuery::WriteQuery | ( | const std::string & | inFileName | ) |

## Friends And Related Symbol Documentation

## QueryFactory

friend class QueryFactory

friend

References QueryFactory.

Referenced by QueryFactory.

## Member Data Documentation

## mDataSet

DataSet gdcm::BaseQuery::mDataSet

protected

## mSopInstanceUID

std::string gdcm::BaseQuery::mSopInstanceUID

protected

Referenced by GetSOPInstanceUID(), and SetSOPInstanceUID().

The documentation for this class was generated from the following file:

- gdcmBaseQuery.h